Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class SearchObjectAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.SearchObjectAdmin

    public class SearchObjectAdmin

extends java.lang.Object

Field Summary
`protected static java.lang.String` | `ATTRIBUTE_TYPE`
`protected static java.lang.String` | `CONTEXT_TYPE`
`protected AdminManager` | `m_Main`
`protected java.util.Hashtable` | `m_SearchClassSpecTable`
`protected java.util.Hashtable` | `m_SearchObjectTable`
`protected java.util.Hashtable` | `m_SearchQualTable`
`protected java.util.Hashtable` | `m_SearchResultTable`
`protected java.util.Hashtable` | `m_SearchSortSpecTable`
`protected java.util.Hashtable` | `m_SearchSpecTable`
`protected java.util.Hashtable` | `m_SearchTable`
`protected java.util.Hashtable` | `m_ViewSpecTable`

Constructor Summary
`SearchObjectAdmin(AdminManager main)` Create a SearchObjectAdmin object.

Method Summary
`protected void` | `addClassToViewSpec(LibrarySession sess, ParameterTable params)` Adds class and attribute to a View specification.
`protected void` | `addResultClass(LibrarySession sess, ParameterTable params)` Adds new result class to an exisiting search class spec.
`protected void` | `addSearchClass(LibrarySession sess, ParameterTable params)` Adds new search class to an exisiting search class spec.
`protected void` | `addSearchSortQual(LibrarySession sess, ParameterTable params)` Adds a new Sort Qualifier to the existing Sort Spec.
`protected void` | `createAttributeQual(LibrarySession sess, ParameterTable params)` Creates a Attribute Qualification.
`protected void` | `createContextQual(LibrarySession sess, ParameterTable params)` Creates a context Qualification.
`protected void` | `createExistenceQual(LibrarySession sess, ParameterTable params)` Creates a Existence Qualification.
`protected void` | `createFolderRestrictQual(LibrarySession sess, ParameterTable params)` Creates a Folder Restrict Qualification.
`protected void` | `createFreeFormQual(LibrarySession sess, ParameterTable params)` Creates a FreeForm Qualification.
`protected void` | `createJoinQual(LibrarySession sess, ParameterTable params)` Creates a Join Qualification.
`protected void` | `createPropertyQual(LibrarySession sess, ParameterTable params)` Creates a Property Qualification.
`protected void` | `createSearch(LibrarySession sess, ParameterTable params)` Creates a Search.
`protected void` | `createSearchClassSpec(LibrarySession sess, ParameterTable params)` Create a Search class specification.
`protected void` | `createSearchClause(LibrarySession sess, ParameterTable params)` Creates a Search Clause.
`void` | `createSearchObject(LibrarySession sess, ParameterTable params)` Section variant of Create SearchObject
`void` | `createSearchObject(LibrarySession sess, java.lang.String idname, SearchObjectDefinition def)` internal variant of Create SearchObject
`void` | `createSearchObject(LibrarySession sess, java.lang.String idname, SearchObjectDefinition def, VersionDescriptionDefinition vddef)` internal variant of VERSIONED Create SearchObject
`protected void` | `createSearchSortSpec(LibrarySession sess, ParameterTable params)` Creates a new search sort specification.
`protected void` | `createSearchSpec(LibrarySession sess, ParameterTable params)` Create a Search Specification.
`protected void` | `createView(LibrarySession sess, ParameterTable params)` Create a view.
`protected void` | `createViewSpec(LibrarySession sess, ParameterTable params)` Create a View Specification.
`void` | `deleteSearchObject(LibrarySession sess, ParameterTable params)` Section variant of delete SearchObject
`void` | `deleteSearchObject(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete SearchObject
`void` | `deleteSearchObject(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete SearchObject
`void` | `freeSearchObject(LibrarySession sess, ParameterTable params)` Section variant of Free SearchObject
`void` | `freeSearchObject(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free SearchObject
`void` | `identifySearchObject(LibrarySession sess, ParameterTable params)` Section variant of Identify SearchObject
`void` | `identifySearchObject(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path)` Inline/internal variant of Identify SearchObject
`protected void` | `identifySearchObjectResults(LibrarySession sess, ParameterTable params)` Invokes a searchObject and associates the given ID with search results.
`protected void` | `identifySearchResults(LibrarySession sess, ParameterTable params)` Invokes a search and associates the given ID with search results.
`protected void` | `invokeSearch(LibrarySession sess, ParameterTable params)` Invokes a on a Transient Search.
`protected void` | `invokeSearchObject(LibrarySession sess, ParameterTable params)` Invokes a on a Saved Search.
`protected Search` | `lookupSearch(java.lang.String searchHandle)` Get the Search based on the name of the handle.
`protected SearchClassSpecification` | `lookupSearchClassSpec(java.lang.String searchClassSpecHandle)` Get the SearchClassSpec based on the name of the handle.
`protected SearchObject` | `lookupSearchObject(java.lang.String searchObjectHandle)` Get the SearchObject based on the name of the handle.
`protected SearchQualification` | `lookupSearchQual(java.lang.String searchQualHandle)` Get the SearchQual based on the name of the handle.
`protected java.util.Vector` | `lookupSearchResult(java.lang.String searchResultHandle)` Get the search Result collection based on the name of the handle.
`protected SearchSortSpecification` | `lookupSearchSortSpec(java.lang.String searchSortSpecHandle)` Get the SearchSortSpec based on the name of the handle.
`protected AttributeSearchSpecification` | `lookupSearchSpec(java.lang.String searchSpecHandle)` Get the SearchSpec based on the name of the handle.
`protected ViewSpecification` | `lookupViewSpec(java.lang.String viewSpecHandle)` Get the ViewSpec based on the name of the handle.
`protected int` | `mapDateCompare(java.lang.String dateComparisonLevel)` Map date comparison level strings to integers.
`void` | `modifySearchObject(LibrarySession sess, ParameterTable params)` Section variant of Modify SearchObject
`void` | `modifySearchObject(LibrarySession sess, java.lang.String idname, SearchObjectDefinition def)` internal variant of Modify SearchObject
`protected void` | `modifySearchResultsFromDefinition(LibrarySession sess, ParameterTable params)` Modifies the attributes of the identified search results using the definition supplied.
`protected void` | `setContextClass(LibrarySession sess, ParameterTable params)` Sets the context class of a search specification.
`protected void` | `setDirectoryObjectForViewSpec(LibrarySession sess, ParameterTable params)` Sets the directory object for a View Spec.
`protected void` | `setSearchClassSpec(LibrarySession sess, ParameterTable params)` Sets the Search Class Specification.
`protected void` | `setSearchQual(LibrarySession sess, ParameterTable params)` Sets the Search Qualification.
`protected void` | `setSearchSortSpec(LibrarySession sess, ParameterTable params)` Sets the Search Sort Specification.
`protected void` | `showSearchClassSpec(LibrarySession sess, ParameterTable params)` Shows a search class specification.
`void` | `showSearchObject(LibrarySession sess, ParameterTable params)` Section variant of showSearchObject
`void` | `showSearchObject(LibrarySession sess, SearchObject searchObj)`
`void` | `showSearchObject(LibrarySession sess, java.lang.String searchObjectName)` Inline/internal variant of SearchObject
`protected void` | `showSearchQual(LibrarySession sess, ParameterTable params)` Show a search qualification.
`protected void` | `showSearchQual(LibrarySession sess, SearchQualification qual, int level)` Show contents of a search qualification.
`protected void` | `showSearchSortSpec(LibrarySession sess, ParameterTable params)` Show the search sort specification.
`protected void` | `showSearchSpec(LibrarySession sess, AttributeSearchSpecification someSearchSpec)` Show Search Specification.
`protected void` | `showSearchSpec(LibrarySession sess, ParameterTable params)` Show Search Specification.
`void` | `undeleteSearchObject(LibrarySession sess, ParameterTable params)` Section variant of undelete SearchObject
`void` | `undeleteSearchObject(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete SearchObject
`void` | `undeleteSearchObject(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete SearchObject
`void` | `unidentifySearch(LibrarySession sess, ParameterTable params)` Section variant of Unidentify Search
`void` | `unidentifySearchClassSpec(LibrarySession sess, ParameterTable params)` Section variant of Unidentify SearchClassSpec
`void` | `unidentifySearchObject(LibrarySession sess, ParameterTable params)` Section variant of Unidentify SearchObject
`void` | `unidentifySearchQual(LibrarySession sess, ParameterTable params)` Section variant of Unidentify SearchQual
`void` | `unidentifySearchSortSpec(LibrarySession sess, ParameterTable params)` Section variant of Unidentify SearchSortSpec
`void` | `unidentifySearchSpec(LibrarySession sess, ParameterTable params)` Section variant of Unidentify SearchSpec
`void` | `unidentifyViewSpec(LibrarySession sess, ParameterTable params)` Section variant of unidentify View spec.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTEXT_TYPE

    protected static java.lang.String CONTEXT_TYPE

### ATTRIBUTE_TYPE

    protected static java.lang.String ATTRIBUTE_TYPE

### m_Main

    protected AdminManager m_Main

### m_SearchClassSpecTable

    protected java.util.Hashtable m_SearchClassSpecTable

### m_SearchQualTable

    protected java.util.Hashtable m_SearchQualTable

### m_SearchSortSpecTable

    protected java.util.Hashtable m_SearchSortSpecTable

### m_SearchSpecTable

    protected java.util.Hashtable m_SearchSpecTable

### m_SearchTable

    protected java.util.Hashtable m_SearchTable

### m_SearchObjectTable

    protected java.util.Hashtable m_SearchObjectTable

### m_ViewSpecTable

    protected java.util.Hashtable m_ViewSpecTable

### m_SearchResultTable

    protected java.util.Hashtable m_SearchResultTable

Constructor Detail

### SearchObjectAdmin

    public SearchObjectAdmin(AdminManager main)

  Create a SearchObjectAdmin object.

  Parameters:
    `main` - AdminManager Reference to the AdminManager which constructs this.

Method Detail

### createSearchSpec

    protected void createSearchSpec(LibrarySession sess,
                                    ParameterTable params)
                             throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Create a Search Specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### showSearchSpec

    protected void showSearchSpec(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Show Search Specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### showSearchSpec

    protected void showSearchSpec(LibrarySession sess,
                                  AttributeSearchSpecification someSearchSpec)
                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Show Search Specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `someSearchSpec` - AttributeSearchSpecification The object to be shown.
  Throws:
    `IfsException` - if the operation fails

### setSearchClassSpec

    protected void setSearchClassSpec(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Sets the Search Class Specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### setSearchSortSpec

    protected void setSearchSortSpec(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Sets the Search Sort Specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### setSearchQual

    protected void setSearchQual(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Sets the Search Qualification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### setContextClass

    protected void setContextClass(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Sets the context class of a search specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createViewSpec

    protected void createViewSpec(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Create a View Specification.

  Parameters:
    `sess` - LibrarySession Handle to the current Session.
    `params` - ParameterTable Handle to parameter table.
  Throws:
    `IfsException` - if the operation fails.

### addClassToViewSpec

    protected void addClassToViewSpec(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Adds class and attribute to a View specification.

  Parameters:
    `sess` - LibrarySession Handle to the current session.
    `params` - ParameterTable Hanlde to the ParameterTable.
  Throws:
    `IfsException` - if the operation fails.

### setDirectoryObjectForViewSpec

    protected void setDirectoryObjectForViewSpec(LibrarySession sess,
                                                 ParameterTable params)
                                          throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Sets the directory object for a View Spec.

  Parameters:
    `sess` - LibrarySession Handle to the current session.
    `params` - ParameterTable Hanlde to the ParameterTable.
  Throws:
    `IfsException` - if the operation fails.

### createView

    protected void createView(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Create a view.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createSearchClassSpec

    protected void createSearchClassSpec(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Create a Search class specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### addSearchClass

    protected void addSearchClass(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Adds new search class to an exisiting search class spec.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### addResultClass

    protected void addResultClass(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Adds new result class to an exisiting search class spec.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### showSearchClassSpec

    protected void showSearchClassSpec(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Shows a search class specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createSearchSortSpec

    protected void createSearchSortSpec(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a new search sort specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### addSearchSortQual

    protected void addSearchSortQual(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Adds a new Sort Qualifier to the existing Sort Spec.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### showSearchSortSpec

    protected void showSearchSortSpec(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Show the search sort specification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createAttributeQual

    protected void createAttributeQual(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a Attribute Qualification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createContextQual

    protected void createContextQual(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a context Qualification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createFolderRestrictQual

    protected void createFolderRestrictQual(LibrarySession sess,
                                            ParameterTable params)
                                     throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a Folder Restrict Qualification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createJoinQual

    protected void createJoinQual(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a Join Qualification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createExistenceQual

    protected void createExistenceQual(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a Existence Qualification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createPropertyQual

    protected void createPropertyQual(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a Property Qualification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createFreeFormQual

    protected void createFreeFormQual(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a FreeForm Qualification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### createSearchClause

    protected void createSearchClause(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a Search Clause.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### showSearchQual

    protected void showSearchQual(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Show a search qualification.

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### showSearchQual

    protected void showSearchQual(LibrarySession sess,
                                  SearchQualification qual,
                                  int level)
                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Show contents of a search qualification.

  Parameters:
    `sess` - session
    `qual` - SearchQualification Object is one of the subclasses of this.
    `level` - int Used to indent based on search tree level
  Throws:
    `IfsException` - if the operation fails.

### createSearch

    protected void createSearch(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Creates a Search. (not a search object)

  Parameters:
    `sess` - LibrarySession Handle to current session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### invokeSearch

    protected void invokeSearch(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Invokes a on a Transient Search.

  Parameters:
    `sess` - LibrarySession Current Session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### invokeSearchObject

    protected void invokeSearchObject(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Invokes a on a Saved Search.

  Parameters:
    `sess` - LibrarySession Current Session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### identifySearchResults

    protected void identifySearchResults(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Invokes a search and associates the given ID with search results.

  Parameters:
    `sess` - LibrarySession Current Session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### identifySearchObjectResults

    protected void identifySearchObjectResults(LibrarySession sess,
                                               ParameterTable params)
                                        throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Invokes a searchObject and associates the given ID with search results.

  Parameters:
    `sess` - LibrarySession Current Session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### modifySearchResultsFromDefinition

    protected void modifySearchResultsFromDefinition(LibrarySession sess,
                                                     ParameterTable params)
                                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Modifies the attributes of the identified search results using the definition supplied.

  Parameters:
    `sess` - LibrarySession Current Session
    `params` - ParameterTable params
  Throws:
    `IfsException` - if the operation fails

### lookupSearch

    protected Search lookupSearch(java.lang.String searchHandle)
                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Get the Search based on the name of the handle.

  Parameters:
    `searchHandle` - String searchHandle
  Returns:
    someSearch
  Throws:
    `IfsException` - is the named Search is not found

### lookupSearchResult

    protected java.util.Vector lookupSearchResult(java.lang.String searchResultHandle)
                                           throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Get the search Result collection based on the name of the handle.

  Parameters:
    `searchResultHandle` - string SearchResultHandle
  Returns:
    searchResults
  Throws:
    `IfsException` - if the named search result collection not found.

### lookupSearchObject

    protected SearchObject lookupSearchObject(java.lang.String searchObjectHandle)
                                       throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Get the SearchObject based on the name of the handle.

  Parameters:
    `searchObjectHandle` - String searchObjectHandle
  Returns:
    someSearchObject
  Throws:
    `IfsException` - is the named Search is not found

### lookupSearchSpec

    protected AttributeSearchSpecification lookupSearchSpec(java.lang.String searchSpecHandle)
                                                     throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Get the SearchSpec based on the name of the handle.

  Parameters:
    `searchSpecHandle` - String searchSpecHandle
  Returns:
    someSearchSpec
  Throws:
    `IfsException` - is the named SearchSpec is not found

### lookupViewSpec

    protected ViewSpecification lookupViewSpec(java.lang.String viewSpecHandle)
                                        throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Get the ViewSpec based on the name of the handle.

  Parameters:
    `viewSpecHandle` - String viewSpecHandle
  Returns:
    someViewSpec
  Throws:
    `IfsException` - is the named ViewSpec is not found

### lookupSearchClassSpec

    protected SearchClassSpecification lookupSearchClassSpec(java.lang.String searchClassSpecHandle)
                                                      throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Get the SearchClassSpec based on the name of the handle.

  Parameters:
    `searchClassSpecHandle` - String searchClassSpecHandle
  Returns:
    someSearchClassSpec
  Throws:
    `IfsException` - is the named SearchClassSpec is not found

### lookupSearchSortSpec

    protected SearchSortSpecification lookupSearchSortSpec(java.lang.String searchSortSpecHandle)
                                                    throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Get the SearchSortSpec based on the name of the handle.

  Parameters:
    `searchSortSpecHandle` - String searchSortSpecHandle
  Returns:
    someSearchSortSpec
  Throws:
    `IfsException` - is the named SearchSortSpec is not found

### lookupSearchQual

    protected SearchQualification lookupSearchQual(java.lang.String searchQualHandle)
                                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Get the SearchQual based on the name of the handle.

  Parameters:
    `searchQualHandle` - String searchQualHandle
  Returns:
    someSearchQual
  Throws:
    `IfsException` - is the named SearchQual is not found

### mapDateCompare

    protected int mapDateCompare(java.lang.String dateComparisonLevel)

  Description copied from class: `SearchObjectAdmin`
  Map date comparison level strings to integers.

  Parameters:
    `dateComparisonLevel` - String date comparison level string to be mapped
  Returns:
    AttributeQualification.DATE_COMP_SEC

### createSearchObject

    public void createSearchObject(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Create SearchObject

  Throws:
    `IfsException`

### createSearchObject

    public void createSearchObject(LibrarySession sess,
                                   java.lang.String idname,
                                   SearchObjectDefinition def)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  internal variant of Create SearchObject

  Throws:
    `IfsException`

### createSearchObject

    public void createSearchObject(LibrarySession sess,
                                   java.lang.String idname,
                                   SearchObjectDefinition def,
                                   VersionDescriptionDefinition vddef)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  internal variant of VERSIONED Create SearchObject

  Throws:
    `IfsException`

### modifySearchObject

    public void modifySearchObject(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Modify SearchObject

  Throws:
    `IfsException`

### modifySearchObject

    public void modifySearchObject(LibrarySession sess,
                                   java.lang.String idname,
                                   SearchObjectDefinition def)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  internal variant of Modify SearchObject

  Throws:
    `IfsException`

### identifySearchObject

    public void identifySearchObject(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Identify SearchObject

  Throws:
    `IfsException`

### identifySearchObject

    public void identifySearchObject(LibrarySession sess,
                                     java.lang.String idname,
                                     java.lang.Long id,
                                     java.lang.String name,
                                     java.lang.String valueDefaultName,
                                     java.lang.String path)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Inline/internal variant of Identify SearchObject

  Throws:
    `IfsException`

### unidentifySearchObject

    public void unidentifySearchObject(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Unidentify SearchObject

  Throws:
    `IfsException`

### unidentifySearchClassSpec

    public void unidentifySearchClassSpec(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Unidentify SearchClassSpec

  Throws:
    `IfsException`

### unidentifySearchQual

    public void unidentifySearchQual(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Unidentify SearchQual

  Throws:
    `IfsException`

### unidentifySearchSortSpec

    public void unidentifySearchSortSpec(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Unidentify SearchSortSpec

  Throws:
    `IfsException`

### unidentifySearchSpec

    public void unidentifySearchSpec(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Unidentify SearchSpec

  Throws:
    `IfsException`

### unidentifySearch

    public void unidentifySearch(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Unidentify Search

  Throws:
    `IfsException`

### unidentifyViewSpec

    public void unidentifyViewSpec(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of unidentify View spec.

  Throws:
    `IfsException`

### freeSearchObject

    public void freeSearchObject(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of Free SearchObject

  Throws:
    `IfsException`

### freeSearchObject

    public void freeSearchObject(LibrarySession sess,
                                 java.lang.String idname)
                          throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Inline/internal variant of Free SearchObject

  Throws:
    `IfsException`

### deleteSearchObject

    public void deleteSearchObject(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of delete SearchObject

  Throws:
    `IfsException`

### deleteSearchObject

    public void deleteSearchObject(LibrarySession sess,
                                   java.lang.String idname)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Inline/internal variant of Delete SearchObject

  Throws:
    `IfsException`

### deleteSearchObject

    public void deleteSearchObject(LibrarySession sess,
                                   java.lang.String idname,
                                   LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Inline/internal variant of Delete SearchObject

  Throws:
    `IfsException`

### undeleteSearchObject

    public void undeleteSearchObject(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of undelete SearchObject

  Throws:
    `IfsException`

### undeleteSearchObject

    public void undeleteSearchObject(LibrarySession sess,
                                     java.lang.String idname)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Inline/internal variant of Undelete SearchObject

  Throws:
    `IfsException`

### undeleteSearchObject

    public void undeleteSearchObject(LibrarySession sess,
                                     java.lang.String idname,
                                     LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Inline/internal variant of Undelete SearchObject

  Throws:
    `IfsException`

### showSearchObject

    public void showSearchObject(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Section variant of showSearchObject

  Throws:
    `IfsException`

### showSearchObject

    public void showSearchObject(LibrarySession sess,
                                 java.lang.String searchObjectName)
                          throws IfsException

  Description copied from class: `SearchObjectAdmin`
  Inline/internal variant of SearchObject

  Throws:
    `IfsException`

### showSearchObject

    public void showSearchObject(LibrarySession sess,
                                 SearchObject searchObj)
                          throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD